package internal

import (
	"context"

	"github.com/gotd/td/tg"
	"github.com/pkg/errors"
)

func (t *TClient) PrintChannels(ctx context.Context) error {
	channels, err := t.Client.API().ChannelsGetChannels(context.Background(), []tg.InputChannelClass{
		&tg.InputChannelEmpty{},
	})
	if err != nil {
		return errors.Wrap(err, "failed to get channels")
	}
	_ = channels

	return nil
}
